
_full_pyver_=$(python3 -V 2>&1 | grep -Po '(?<=Python )(.+)')
_majorminor_pyver_=${_full_pyver_%.*}

# Symlink this file so it is in the top-level Greenstone3 directory area

source ./gs3-setup.sh

function check_pip_installed()
{
    if [ ! -d "$GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3/lib/python${_majorminor_pyver_}/site-packages/$1" ] \
	&& [ ! -f "$GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3/lib/python${_majorminor_pyver_}/site-packages/$1.py" ] ; then
	echo "!!!!" >&2
	echo "! Failed to find directory or file: " >&2
	echo "!   $GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3/lib/python${_majorminor_pyver_}/site-packages/$1(.py)" >&2
	echo "!!!!" >&2
	echo "! You need to: " >&2
	if [ "x$VIRTUAL_ENV" = "x" ] ; then
	    echo "!   source $GEXT_STRUCTURED_AUDIO/$GSDLOS/virtualenv-python3/bin/activate" >&2
	    echo "! Then: " >&2
	fi

	if [ "$1" = "pyannote" ] ; then
	    echo "! pip install https://github.com/pyannote/pyannote-audio/archive/develop.zip" >&2
	else
	    echo "!   pip install $1" >&2
	fi
	
	echo "!" >&2
	echo "!!!!" >&2
	
	return 1
    fi
}

function check_pip_installed_all()
{
    for pkg in wheel pyannote speechbrain ; do
	check_pip_installed $pkg
	if [ $? != 0 ] ; then
	    return 1
	fi
    done
}


if [ "x$VIRTUAL_ENV" = "x" ] ; then

    echo ""
    echo "****"
    echo "* Activating Python v3 Virtual Env "
    echo "****"
    echo ""

    source $GEXT_STRUCTURED_AUDIO_INSTALLED/virtualenv-python3/bin/activate

fi


check_pip_installed_all
    
if [ $? != 0 ] ; then
    return 1
fi    
